//
// $Id: IrError.cc,v 1.2 2000/06/04 23:23:38 sergey Exp $
//

#include "IrError.h"
#include "Util/Error.h"

namespace IrDA
{
    // IrPort

    void IrError::openIrLibraryError()
    {
        Util::Error::errorMessage0(false, "Fail to open IR Library");
    }

    void IrError::closeIrLibraryError()
    {
        Util::Error::errorMessage0(false, "Fail to close IR Library");
    }

    // IrConnection

    void IrError::sendDataError(int maxSize, int size)
    {
        Util::Error::errorMessage(false, "Fail to send data (max size:%d, size:%d)", maxSize, size);
    }

    void IrError::bindError()
    {
        Util::Error::errorMessage0(false, "Can't bind to IR protocol stack");
    }

    void IrError::unbindError()
    {
        Util::Error::errorMessage0(false, "Can't unbind from IR protocol stack");
    }

    void IrError::discoveryError()
    {
        Util::Error::errorMessage0(false, "IR discovery request failed");
    }

    void IrError::lapConnectionError()
    {
        Util::Error::errorMessage0(false, "Fail to establish LAP connection");
    }

    void IrError::lapDisconnectionError()
    {
        Util::Error::errorMessage0(false, "Fail to drop LAP connection");
    }

    void IrError::getRemoteLsapError()
    {
        Util::Error::errorMessage0(false, "Fail to obtain remote LSAP");
    }

    void IrError::lmpConnectionError()
    {
        Util::Error::errorMessage0(false, "Fail to establish LMP connection");
    }

    void IrError::tinyTpConnectionError()
    {
        Util::Error::errorMessage0(false, "Fail to establish TinyTP connection");
    }

    void IrError::setDeviceInfoError()
    {
        Util::Error::errorMessage0(false, "Fail to set device info");
    }

    // IrIAS

    void IrError::iasQueryError(const char* query, int rc)
    {
        Util::Error::errorMessage(false, "IAS query '%s' failed: %d", query, rc);
    }

    void IrError::unexpectedIasQueryError(const char* query, int rc)
    {
        Util::Error::errorMessage(false, "Unexpected IAS query '%s' result type: %d", query, rc);
    }

    void IrError::iasCallbackError(int status)
    {
        Util::Error::errorMessage(false, "IAS callback error: %d", (int)status);
    }
}
// namespace IrDA
